
Name: lxqt-common
Version: 0.10.0
Release: %mkrel 4
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1: lxqt-net_applet.desktop
Source2: lxqt-applications.menu
Source3: default.png
Source4: lxqt.conf
Source5: settings.conf
Patch0: lxqt-common-0.9.1-system-add-pcmanfm-lxqt-config-files.patch
Summary: Common files for the LXQt desktop
URL: http://lxqt.org/
License: GPL
Group: Graphical desktop/LXQT
BuildRequires: cmake
BuildRequires: %{_lib}lxqt-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: desktop-common-data

%description
Common files for the LXQt desktop including configuration

%prep
%setup -q
%apply_patches

%cmake_qt5

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

# remove these
rm -f %{buildroot}%{_datadir}/lxqt/themes/flat/lxqt-power/.directory 
rm -f %{buildroot}%{_datadir}/kdm/sessions/lxqt.desktop
rm -f %{buildroot}%{_datadir}/xsessions/lxqt.desktop

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/13LXQT
NAME=LXQT
ICON=lxqt
DESC=LXQT Environment
EXEC=%{_bindir}/startlxqt
SCRIPT:
exec %{_bindir}/startlxqt
EOF

install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/xdg/autostart/lxqt-net_applet.desktop
install -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/xdg/menus/lxqt-applications.menu
install -m 0644 %SOURCE3 %{buildroot}/%{_datadir}/lxqt/themes/frost/default.png
install -m 0644 %SOURCE4 %{buildroot}%{_sysconfdir}/xdg/lxqt/lxqt.conf
install -m 0644 %SOURCE5 %{buildroot}%{_sysconfdir}/xdg/pcmanfm-qt/lxqt/settings.conf

%files
%{_datadir}/lxqt/themes
%{_sysconfdir}/xdg/lxqt
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_sysconfdir}/xdg/pcmanfm-qt
%{_bindir}/startlxqt
%{_datadir}/desktop-directories/lxqt-leave.directory
%{_datadir}/desktop-directories/lxqt-settings.directory
%{_datadir}/lxqt/graphics
%{_datadir}/lxqt/openbox
%{_iconsdir}/hicolor/scalable/places/start-here-lxqt.svg
%{_sysconfdir}/xdg/autostart/*.desktop
%config %{_sysconfdir}/X11/wmsession.d/*

%post
%{make_dm_session}

%postun
%{make_dm_session}


%changelog
* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-4
- rebuild for 32bit

* Thu Nov 12 2015 bb <bb> 0.10.0-3pclos2015
- drop noarch due to BR

* Thu Nov 12 2015 bb <bb> 0.10.0-2pclos2015
- adjust default pcmanfm-qt settings
- fix location to copy conf file

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
